-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS categories (
    id SERIAL PRIMARY KEY,
    name TEXT NOT NULL,
    budget_id INT REFERENCES budgets(id),
    favorite BOOLEAN DEFAULT FALSE,
    monthly_limit INT DEFAULT 0,
    UNIQUE (budget_id, name),
    created_at TIMESTAMP
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS categories;
-- +goose StatementEnd
